<!DOCTYPE html>
<html lang="en" xmlns:sec="https://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Admin</title>

    <!-- Bootstrap -->
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="../vendor/chosen_v1.4.0/chosen.min.css">
    <link rel="stylesheet" type="text/css" href="../vendor/font-awesome-4.3.0/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="../vendor/summernote-master/dist/summernote.css">

    <link rel="stylesheet" type="text/css" href="css/default.css">
    <link rel="stylesheet" type="text/css" href="css/new-article.css">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body>

<div class="container-fluid display-table">
    <div class="row display-table-row">
        <!-- side menu -->
        <div class="col-md-2 col-sm-1 hidden-xs display-table-cell valign-top" id="side-menu">
            <h1 class="hidden-xs hidden-sm">Navigation</h1>
            <ul>
                <li class="link active">
                    <a href="/admin/index">
                        <span class="glyphicon glyphicon-th" aria-hidden="true"></span>
                        <span class="hidden-sm hidden-xs">Dashboard</span>
                    </a>
                </li>

                <li class="link">
                    <a href="#collapse-post" data-toggle="collapse" aria-controls="collapse-post">
                        <span class="glyphicon glyphicon-list-alt" aria-hidden="true"></span>
                        <span class="hidden-sm hidden-xs">Article</span>
                        <span id="article-sum" class="label label-success pull-right hidden-xs hidden-sm"></span>
                    </a>
                    <ul class="collapse collapseable" id="collapse-post">
                        <li><a href="/admin/new-article">Create New</a></li>
                        <li><a href="/admin/articles">View Article</a></li>
                    </ul>
                </li>

                <li class="link">
                    <a href="#collapse-comments" data-toggle="collapse" aria-controls="collapse-comments">
                        <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
                        <span class="hidden-sm hidden-xs">Comments</span>
                    </a>
                    <ul class="collapse collapseable" id="collapse-comments">
                        <li>
                            <a href="/admin/approved">Approved
                                <span class="label label-success pull-right hidden-xs hidden-sm">10</span>
                            </a>
                        </li>

                        <li>
                            <a href="/admin/approved">Unapproved
                                <span class="label label-warning pull-right hidden-xs hidden-sm">10</span>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="link">
                    <a href="/admin/commenters">
                        <span class="glyphicon glyphicon-user" aria-hidden="true"></span>
                        <span class="hidden-sm hidden-xs">Commenters</span>
                    </a>
                </li>

                <li class="link">
                    <a href="/admin/tags">
                        <span class="glyphicon glyphicon-tags" aria-hidden="true"></span>
                        <span class="hidden-sm hidden-xs">Tags</span>
                    </a>
                </li>

                <li class="link settings-btn">
                    <a href="/admin/settings">
                        <span class="glyphicon glyphicon-cog" aria-hidden="true"></span>
                        <span class="hidden-sm hidden-xs">Settings</span>
                    </a>
                </li>
            </ul>
        </div>

        <!-- main content area -->
        <div class="col-md-10 col-sm-11 display-table-cell valign-top">
            <div class="row">
                <header id="nav-header" class="clearfix">
                    <div class="col-md-5">
                        <nav class="navbar-default pull-left">
                            <button type="button" class="navbar-toggle collapsed" data-toggle="offcanvas"
                                    data-target="#side-menu">
                                <span class="sr-only">Toggle navigation</span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                        </nav>
                        <input type="text" class="hidden-sm hidden-xs" id="header-search-field"
                               placeholder="Search for something...">
                    </div>

                    <div class="col-md-7">
                        <ul class="pull-right">
                            <li id="welcome" class="hidden-xs">Welcome to <span sec:authentication="name"></span>
                                administration area
                            </li>
                            <li class="fixed-width">
                                <a href="#">
                                    <span class="glyphicon glyphicon-bell" aria-hidden="true"></span>
                                    <span class="label label-warning">3</span>
                                </a>
                            </li>

                            <li class="fixed-width">
                                <a href="#">
                                    <span class="glyphicon glyphicon-envelope" aria-hidden="true"></span>
                                    <span class="label label-message">3</span>
                                </a>
                            </li>

                            <li>
                                <a href="/logout" class="logout">
                                    <span class="glyphicon glyphicon-log-out" aria-hidden="true"></span>
                                    log out
                                </a>
                            </li>
                        </ul>
                    </div>
                </header>
            </div>

            <div id="content">
                <header>
                    <h2 class="page_title">Create new article</h2>
                </header>

                <div class="content-inner">
                    <div class="form-wrapper">
                        <div class="form-group">
                            <label class="sr-only">Title</label>
                            <input type="text" class="form-control" id="title" placeholder="Title">
                        </div>
                        <div class="form-group">
                            <label class="sr-only">Introduction</label>
                            <textarea class="form-control" rows="3" id="intro" placeholder="Introduction"></textarea>
                        </div>
                        <div class="form-group">
                            <label class="sr-only">Tags</label>
                            <select id="tags" data-placeholder="Select tags" multiple name="tags"
                                    class="form-control chosen-select">
                                <option></option>
                                <option>html</option>
                                <option>css</option>
                                <option>coding</option>
                                <option>programming</option>
                            </select>
                        </div>

                        <div class="form-group">
                            <label class="sr-only">Article</label>
                            <textarea class="form-control summernote" placeholder="Article" id="article"
                                      name="article"></textarea>
                        </div>

                        <div class="checkbox">
                            <label>
                                <input id="is-publish" type="checkbox"> publish article when I click on save
                            </label>
                        </div>

                        <div class="clearfix">
                            <button id="btn-submit" type="submit" class="btn btn-primary pull-right">Save / Publish
                            </button>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <footer id="admin-footer" class="clearfix">
                    <div class="pull-left"><b>Copyright </b>&copy; 2015</div>
                    <div class="pull-right">admin system</div>
                </footer>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="progress-modal" tabindex="-1" role="dialog" aria-labelledby="progress-modal-title"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title" id="progress-modal-title">
                </h4>
            </div>
            <div class="modal-body">
                <div class="progress progress-striped active">
                    <div id="progress-bar" class="progress-bar progress-bar-success" role="progressbar"
                         aria-valuenow="60" aria-valuemin="0" aria-valuemax="100"
                         style="width: 0%;">
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Ok</button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal -->
</div>
<div class="modal fade" id="tip-modal" tabindex="-1" role="dialog" aria-labelledby="tip-modal-title" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="tip-modal-title"></h4>
            </div>
            <div id="tip-modal-body" class="modal-body"></div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Ok</button>
                <!--<button type="button" class="btn btn-primary"></button>-->
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal -->
</div>
<div class="modal fade" id="confirm-modal" tabindex="-1" role="dialog" aria-labelledby="confirm-modal-title"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="confirm-modal-title"></h4>
            </div>
            <div id="confirm-modal-body" class="modal-body"></div>
            <div class="modal-footer">
                <button id="confirm-modal-btn" type="button" class="btn btn-default" data-dismiss="modal">Confirm
                </button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Cancel</button>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal -->
</div>
<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="https://code.jquery.com/jquery-1.11.3.min.js"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="../vendor/bootstrap-3.3.2-dist/js/bootstrap.min.js"></script>
<script src="../vendor/chosen_v1.4.0/chosen.jquery.min.js"></script>
<script src="../vendor/summernote-master/dist/summernote.min.js"></script>
<script src="js/base64.js"></script>
<script src="js/default.js"></script>
<script src="js/new-article.js"></script>
</body>
</html>
